package com.ecep.contract.controller.project.sale_type;

import com.ecep.contract.controller.tab.AbstEntityBasedTabSkin;
import com.ecep.contract.controller.tab.TabSkin;
import com.ecep.contract.model.ProjectSaleType;
import com.ecep.contract.service.SaleTypeService;
import com.ecep.contract.vm.ProjectSaleTypeViewModel;

public abstract class AbstProjectSaleTypeBasedTabSkin
        extends AbstEntityBasedTabSkin<ProjectSaleTypeWindowController, ProjectSaleType, ProjectSaleTypeViewModel>
        implements TabSkin {

    public AbstProjectSaleTypeBasedTabSkin(ProjectSaleTypeWindowController controller) {
        super(controller);
    }

    public SaleTypeService getSaleTypeService() {
        return controller.saleTypeService;
    }
}
